# AUTOGENERATED! DO NOT EDIT! File to edit: nbs/00_data_zoo.ipynb (unless otherwise specified).

__all__ = ['download_data_csv', 'BASE_URL', 'SUPPORTED_SUFFIXES']

# Cell
import logging
import pandas as pd
from pathlib import Path
from os.path import normpath

# Cell
BASE_URL = 'https://raw.githubusercontent.com/artemlops/customer-segmentation-toolkit/master'
SUPPORTED_SUFFIXES = {'.csv'}

def download_data_csv(path_relative: str, base_url: str= BASE_URL) -> pd.DataFrame:
    path_relative = Path(path_relative)
    if path_relative.suffix not in SUPPORTED_SUFFIXES:
        raise ValueError(f"Can't download data {path_relative}: not a: {SUPPORTED_SUFFIXES}")
    url = f'{base_url}/{normpath(path_relative)}'
    logging.info(f"Downloading dataset '{url}'")
    return pd.read_csv(url)