# AUTOGENERATED! DO NOT EDIT! File to edit: nbs/01_split_offline_online.ipynb (unless otherwise specified).

__all__ = ['load_data_csv', 'split_by_invoice_date', 'DATE_SPLIT']

# Cell
import logging
import datetime
import pandas as pd

# Cell
def load_data_csv(path: str) -> pd.DataFrame:
    df = pd.read_csv(
        path,
        encoding="ISO-8859-1",
        dtype={'CustomerID': str,'InvoiceID': str},
    )
    df['InvoiceDate'] = pd.to_datetime(df['InvoiceDate'])
    return df

# Cell
def split_by_invoice_date(df: pd.DataFrame, date: datetime.date) -> pd.DataFrame:
    df_offline = df[df['InvoiceDate'].dt.date < date]
    df_online = df[df['InvoiceDate'].dt.date >= date]
    return df_offline, df_online

DATE_SPLIT = datetime.date(2011,10,1)